{% load django_bootstrap5 %}
<h3>Review {% if entity_type == 'gene' %}gene{% elif entity_type == 'str' %}STR{% endif %}</h3>
<div class="card card-body bg-light">
  <form class="form remove-empty-array-val" id="add-review" action="{% url 'panels:review_entity' panel.panel_id entity_type entity_name %}#your-review" method="post">{% csrf_token %}
    <fieldset>
      {% for field in form %}
        <div class="form-group">
          {% if field.name == "rating" %}
            {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" href="#rating_help" data-testid="review-show-info-rating" ><i class="fa fa-question-circle"></i></a>
          {% elif field.name == "mode_of_pathogenicity" %}
            {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" href="#model_of_path" data-testid="review-show-info-mop" ><i class="fa fa-question-circle"></i></a>
          {% elif field.name == "moi" %}
            {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" href="#moi" data-testid="review-show-info-moi" ><i class="fa fa-question-circle"></i></a>
          {% elif field.name == "current_diagnostic" %}
            {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" href="#diagostic" data-testid="review-show-info-current-diagnostic" ><i class="fa fa-question-circle"></i></a>
          {% else %}
            {% bootstrap_label field.label_tag %}
          {% endif %}
          {% if field.help_text %}
              <div class="text-muted">{{ field.help_text }}</div>
          {% endif %}

          {% bootstrap_field field show_label=False show_help=False %}
        </div>
      {% endfor %}

      <button type="submit" class="btn btn-info">Submit review</button>
    </fieldset>
  </form>
</div>
